package com.ifish.enums;

/**
 * 动态类型
 *
 * @author Administrator
 *
 */
public enum ActivityTypeEnum {
    everyDaySignin("everyDaySignin", "每天签到"),
    readInformation("readInformation", "阅读资讯"),
    openGoodsLink("openGoodsLink", "查看商品"),
    roomLeaveMsg("roomLeaveMsg", "爱鱼看看留言"),
    ifishCommunity("ifishCommunity", "爱鱼圈"),
    shareIfishApp("shareIfishApp", "分享爱鱼奇"),
    shareCameraPicture("shareCameraPicture", "图片分享"),
    shareLookReport("shareLookReport", "看护报告"),
    rename("rename", "更换姓名"),
    uploadHeadImg("uploadHeadImg", "上传头像"),
    openShareCamera("openShareCamera", "开启分享"),
    choiceLookShops("choiceLookShops", "优选商家"),
    ifishDoctor("ifishDoctor", "鱼医生"),
    everyDayLogin("everyDayLogin", "每天登陆"),
    registerGive("registerGive", "注册赠送"),
    //升级
    upgrade("upgrade", "等级提升"),
    bindDevice("bindDevice", "绑定水族箱"),
    bindCamera("bindCamera", "绑定摄像头"),
    //温度预警
    warningByTemperature("warningByTemperature", "温度预警"),
    //换水提醒
    reminderByChangeWater("reminderByChangeWater", "换水提醒"),
    //商家入驻
    merchantsSettled("merchantsSettled", "商家入驻");

    private ActivityTypeEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public static boolean getValueByKey(String key) {
        for (ActivityTypeEnum actype : ActivityTypeEnum.values()) {
            if (actype.getKey().equals(key)) {
                return true;
            }
        }
        return false;
    }

    private String key;

    private String value;

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

}
